--- /dev/null
+#!/bin/sh
+#
+# Copyright (C) Internet Systems Consortium, Inc. ("ISC")
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, you can obtain one at https://mozilla.org/MPL/2.0/.
+#
+# See the COPYRIGHT file distributed with this work for additional
+# information regarding copyright ownership.
+
+SYSTEMTESTTOP=..
+. $SYSTEMTESTTOP/conf.sh
+
+if test -n "$PYTHON"
+then
+ if $PYTHON -c "from dns.query import send_tcp" 2> /dev/null
+ then
+ :
+ else
+ echo_i "This test requires the dnspython >= 2.0.0 module." >&2
+ exit 1
+ fi
+else
+ echo_i "This test requires Python and the dnspython module." >&2
+ exit 1
+fi
+
+exit 0
./bin/tests/system/checkds/ns2/setup.sh SH 2021
./bin/tests/system/checkds/ns5/setup.sh SH 2021
./bin/tests/system/checkds/ns9/setup.sh SH 2021
+./bin/tests/system/checkds/prereq.sh SH 2021
./bin/tests/system/checkds/setup.sh SH 2021
./bin/tests/system/checkds/tests-checkds.py PYTHON-BIN 2021
./bin/tests/system/checkdstool/clean.sh SH 2012,2013,2014,2016,2017,2018,2019,2020,2021